Simple public domain declaration
--------------------------------

[This piece of text](../plain/spdd.txt) is a simple 3-line declaration of releasing copyrighted work into the public domain, primarily intended to substitute software licenses.


The declaration
===============

	This software is released into the public domain.
	It is provided "as is", without warranties or conditions of any kind.
	Anyone is free to use, modify, redistribute and do anything with this software.


Usage
=====

Put the declaration on top of a source file as a comment or into a file named `COPYING` in the root of your project directory tree (`LICENSE` would be inaccurate, since the only actual license part of SPDD is merely a fallback). Basically, place it wherever it is most visible for users of your project.

Try not to link to external versions of SPDD. It is short enough that there is little point relying on them not changing in the future (which is entirely possible, as the declaration itself is in public domain).


Not a license
=============

While it contains one, SPDD itself is not a license. Rather, it merely states that all copyright limitations have been lifted for the project. It has no logos or websites, as it is short enough to be defined by the entirety of its content. The SPDD itself and this document are both released to public domain and anyone is free to use them in any way.


Explanation
===========

The SPDD consists of three parts, each in their own line.

	This software is released into the public domain.

This line is the main declaration of release of a copyrighted work into the public domain. It would be sufficient by itself if there were no legal complications whatsoever.

	It is provided "as is", without warranties or conditions of any kind.

The second line provides an "[as-is](https://en.wikipedia.org/wiki/As_is)"/"don't-sue-me" clause to disclaim implied warranties. Other common public domain declarations like [WTFPL](http://www.wtfpl.net/about/) often lack that, while the ones that have it, such as [Unlicense](http://unlicense.org/) and [CC0](https://creativecommons.org/publicdomain/zero/1.0/legalcode), are too long.

	Anyone is free to use, modify, redistribute and do anything with this software.

The last line serves as a fallback license for jurisdictions that do not recognize the public domain. It grants the same rights that a public domain work would have otherwise.


Legal standing
==============

SPDD has not been tested legally. If you are worried about possible legal ambiguities or misunderstandings, consider using [CC0](https://creativecommons.org/share-your-work/public-domain/cc0/) instead.
